Atom feed of this document
 
 
 

 4.3.3. Resize the Instance Volume

VerbURIDescription
POST/instances/{instanceId}/actionResizes the volume attached to the Instance.

Normal Response Code(s): 202

Error Response Code(s): badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), unprocessableEntity (422), instanceFault (500), notImplemented (501), serviceUnavailable (503), itemNotFound (404), badMediaType (415)

This operation supports resizing the attached volume for an instance. It supports only increasing the volume size and does not support decreasing the size. The volume size is in gigabytes (GB) and must be an integer.

[Note]Note

You cannot increase the volume to a size larger than the API volume size limit specifies.

This operation returns a 202 Accepted response.

Table 4.10. Resize the Instance Volume Request Parameters
NameStyleTypeDescription
accountIdTemplate​String

The account ID of the owner of the specified instance.

instanceIdTemplate​String

The instance ID for the specified database instance.

The following examples show the Resize Instance Volume requests:

 

Example 4.41. Resize the Instance Volume Request: XML

POST /v1.0/1234/instances/9cccb45e-e15d-4bcc-aedc-61a4bf3e4ad9/action HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/xml
Content-Type: application/xml

<resize xmlns="http://docs.openstack.org/database/api/v1.0">
  <volume size="4"/>
</resize>


 

Example 4.42. Resize the Instance Volume Request: JSON

POST /v1.0/1234/instances/dcc5c518-73c7-4471-83e1-15fae67a98eb/action HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/json
Content-Type: application/json

{
    "resize": {
        "volume": {
            "size": 4
        }
    }
}

The following examples show the Resize Instance Volume responses:

 

Example 4.43. Resize the Instance Volume Response: XML

HTTP/1.1 202 Accepted
Content-Type: application/xml
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 0
Date: Wed, 08 May 2013 22:43:36 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)

 

Example 4.44. Resize the Instance Volume Response: JSON

HTTP/1.1 202 Accepted
Content-Type: application/json
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 0
Date: Wed, 08 May 2013 22:43:36 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)